Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IFileDescriptorReceiver``

interface documentation

`class IFileDescriptorReceiver(Interface): (source)`

Known implementations: `twisted.protocols.amp._DescriptorExchanger`

View In Hierarchy

Protocols may implement `IFileDescriptorReceiver` to receive file descriptors sent to them. This is useful in conjunction with `IUNIXTransport`, which allows file descriptors to be sent between processes on a single host.

Method | `fileDescriptorReceived` | Called when a file descriptor is received over the connection.

def fileDescriptorReceived(descriptor: `int`): (source)

Called when a file descriptor is received over the connection.

Parameters
descriptor:`int` | The descriptor which was received.
Returns
`None`